{{
  config(
    materialized='table',
    schema= 'wrk'
  )
}}

(SELECT DISTINCT CLIENT_ADDRESS_COD AS ADDRESS_CD, CLIENT_COUNTRY AS COUNTRY_DS, CLIENT_STATE AS STATE_DS, CLIENT_POSTAL_CODE AS POSTAL_CODE_CD  FROM {{ source('stg', 'stf_orders') }})
UNION
(SELECT DISTINCT SHIPMENT_ADDRESS_COD AS ADDRESS_CD, SHIPMENT_COUNTRY AS COUNTRY_DS, SHIPMENT_STATE AS STATE_DS, SHIPMENT_POSTAL_CODE AS POSTAL_CODE_CD FROM {{ source('stg', 'stf_orders') }})
